Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class XslNumberFormat

    java.lang.Object
      |
      +--com.caucho.xsl.XslNumberFormat

public class XslNumberFormat
extends java.lang.Object

Formatting for the xsl:number action.

Constructor Summary
`XslNumberFormat(java.lang.String format, java.lang.String lang, boolean isAlphabetic, java.lang.String groupSeparator, int groupSize)` Create a new number formatting object.

Method Summary
`java.lang.String` | `getFormat()`
`java.lang.String` | `getGroupSeparator()`
`int` | `getGroupSize()`
`java.lang.String` | `getLang()`
`boolean` | `isAlphabetic()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XslNumberFormat

    public XslNumberFormat(java.lang.String format,
                           java.lang.String lang,
                           boolean isAlphabetic,
                           java.lang.String groupSeparator,
                           int groupSize)

  Create a new number formatting object.
  Parameters:
    `format` - format string as specified by the XSLT draft
    `lang` - language for alphanumeric numbering
    `isAlphabetic` - resolves ambiguity for alphanumeric numbering
    `groupSeparator` - separator between number grouping
    `groupSize` - digits between group separator

Method Detail

### getFormat

    public java.lang.String getFormat()

### getLang

    public java.lang.String getLang()

### isAlphabetic

    public boolean isAlphabetic()

### getGroupSeparator

    public java.lang.String getGroupSeparator()

### getGroupSize

    public int getGroupSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD